> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apimodelservingv1modelapis versions buildlogs

> Retrieves the build logs for a Model API Version.



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/modelServing/v1/modelApis/{modelApiId}/versions/{modelApiVersionId}/buildLogs:
    get:
      tags:
        - ModelAPIVersion
      description: Retrieves the build logs for a Model API Version.
      operationId: getModelApiVersionBuildLogs
      parameters:
        - description: The id of the Model API to retrieve the build logs for.
          in: path
          name: modelApiId
          required: true
          schema:
            type: string
        - description: The id of the Model API Version to retrieve the build logs for.
          in: path
          name: modelApiVersionId
          required: true
          schema:
            type: string
        - description: build Id of the model API to return build logs for.
          in: query
          name: buildId
          required: false
          schema:
            type: string
        - description: >-
            The epoch time in nanoseconds to start fetching from, such as
            "1543538813745986325". "0" by default and will typically be used for
            a timestamp-based offset log fetching strategy.
          in: query
          name: sinceTimeNano
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelApiVersionBuildLogs'
          description: The build logs for the given Model API Version.
components:
  schemas:
    ModelApiVersionBuildLogs:
      properties:
        buildId:
          description: The id of the build of the Model API Version
          nullable: false
          type: string
        logs:
          description: The build logs.
          items:
            $ref: '#/components/schemas/ModelApiVersionLogLine'
          nullable: false
          type: array
        modelId:
          description: The id of the Model API
          nullable: false
          type: string
        modelVersionId:
          description: The id of the Model API Version
          nullable: false
          type: string
        sinceTimeNano:
          description: The start date of the logs.
          nullable: false
          type: string
        status:
          description: The status of the build.
          nullable: false
          type: string
      required:
        - modelId
        - modelVersionId
        - status
        - logs
    ModelApiVersionLogLine:
      properties:
        log:
          description: The content of the log line.
          type: string
        streamType:
          description: The type of stream the log line is sourced from.
          type: string
        tags:
          description: The tags of the log line.
          items:
            $ref: '#/components/schemas/ModelApiVersionLogTag'
          type: array
        timeNano:
          description: The time in nanoseconds of the log line.
          type: number
        timestamp:
          description: The timestamp of the log line.
          type: number
      required:
        - timestamp
        - timeNano
        - log
        - streamType
        - tags
    ModelApiVersionLogTag:
      properties:
        key:
          description: The name of the log tag.
          nullable: false
          type: string
        value:
          description: The value of the log tag.
          nullable: false
          type: string
      required:
        - key
        - value
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````